<?php
if (!IN_SCRIPT == "photo_popup") {die();}  
/*
##################################################################################
##																				##
##  PHOTO POPUP 3.0				 												##
##		configuration for *** vBGallery ***										##
## 																				##
## This Mod is (c) 2009 by cellarius											##
##################################################################################


##################################################################################
########################### vBGallery User Settings ##############################
##################################################################################
*/
//
// If you do allow albums selection in popup, but want to disable it for this
// product, set this to TRUE;
//
$album_override = FALSE;
//

/*################################################################################
####### Do not change anything beyond, except you know what you are doing!  ######
################################################################################*/
/*
###### Database prefix ######
*/
$db_prefix = TABLE_PREFIX . "ppgal_";
/*
###### Get settings from database ######
*/
	$result = $db->query_read("
		SELECT varname, value
		FROM " . $db_prefix . "setting
		WHERE 
			varname = 'gallery_fileurl' OR
			varname = 'gallery_url'
		");
	while ($array = $db->fetch_array($result))
	{
		if ($array['varname'] == "gallery_url")
		{
			$url_path = $array['value'];
		}
		if ($array['varname'] == "gallery_fileurl")
		{
			$data_dir = $array['value'];
		}		
	}
/*
###### Basics ######
*/
	$medium_possible = 0;
	if ($medium_override == TRUE)
	{
		$medium_possible = 1;
	}
	$albums_possible = 1;
	if ($album_override == TRUE)
	{
		$album_override = 1;
	}	
/*
###### Select statement for useralbums or categories ######
*/
function albums_select ()
{
	global $db_prefix;
	global $userid;
	
	$albums_select = "
		SELECT catid, title_clean
		FROM " . $db_prefix . "categories
		WHERE hasimages = 1
		ORDER BY title_clean
		";
	return $albums_select;
}
/*
###### Select statement for pagination ######
*/
function count_select ()
{
	global $db_prefix;
	global $userid;
	global $where_add;
	
	$count_select = "
		SELECT COUNT('imageid') AS fotos
		FROM " . $db_prefix . "images
		WHERE userid = $userid AND valid = 1" . $where_add . "
		";
	return $count_select;
}
/*
###### Main select stateement for images ######
*/
function images_select()
{	
	global $db_prefix;
	global $userid;
	global $where_add;
	
	$images_select = "
			SELECT imageid, userid, filename, catid
			FROM " . $db_prefix . "images
			WHERE userid = $userid AND valid = 1" . $where_add . "
			ORDER BY dateline DESC
			";
	return $images_select;
}
/*
###### Construct image bits ######
*/
function imagebits ()
{
	global $array;
	global $data_dir;
	global $url_path;
	
	$img['orig'] = $data_dir . $array['userid'] . "/" . $array['filename'];
	$filename_parts = pathinfo($array['filename']); 
	$img['thumb'] = $data_dir . $array['userid'] . "/" . $filename_parts['filename'] . "_thumb." . $filename_parts['extension'] ;
	$img['med'] = "";
	$img['gallery'] = $url_path . "showimage.php?i=" . $array['imageid'];	
	
	return $img;
}
/*
###### Albums filter ######
*/
function where_add ()
{
	global $which_album;
	$where_add = " AND catid = $which_album";
	return $where_add;
}

/*
###### Functions ######
*/
function strip_ext($name)
{
	$ext = strrchr($name, '.');
	if($ext !== false)
	{
		$name = substr($name, 0, -strlen($ext));
	}
	return $name;
}
?>